Subject: Re: bug#7424: Tail -n doesn't work on Red-Hat Linux 5.5

From: Jim Meyering <[email-masked]>
Date: Sat, 23 Jul 2011 00:19:32 +0200

tags 7424 + notabug
close 7424
thanks

Eric Blake wrote:
> [as another netiquette tip: please don't top-post on technical lists]
>
> On 11/17/2010 12:03 PM, Parsons, Larry wrote:
>> Eric, All,
>>
>> I just went to another box and entered in the command that you said
>> shouldn't work. It works just the way you said it shouldn't.
>
> Please, so that we can have some idea of what you are seeing, include an
> example of what you typed, what happened, and what you wanted to have
> happen.  You _still_ haven't told us what you think is a bug, so we
> _still_ don't have any idea how to help you, other than to point you to
> FAQ that may or may not be relevant to your situation.
>
> We do appreciate the time you've taken to try and report something, but
> there are some steps you could take to make your request go a lot further:
> http://www.catb.org/~esr/faqs/smart-questions.html
> http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
>
> Here's an example report that would qualify as more informative:
>
> "I reduced things down to this simple testcase:
>
> $ printf 'a\nb\n' | tail -1
> b
>
> but since I didn't type the POSIX 2008 spelling of:
>
> tail -n -1
>
> I was surprised that it did the same thing by printing the last line
> instead of being a syntax error"
>
>> and I didn't realize it was a public forum.
>
> Most bug reporting emails are publicly archived; and it's always safer
> to start from that assumption.
>
>> However I did copy everyone you did.
>
> Ah, but my email didn't have an unenforceable disclaimer tacked on by my
> employer.
>
>> Please feel free to repond and teach me about netiquette while you
>> just lack any kind of etiquette.
>
> My original reply was terse to match the terseness of your original
> report.  I'm sorry if my reply unintentionally came across as harsh or
> demeaning; that certainly was not my intent, and the text-only medium of
> email lacks emotion and tone of voice that convey the rest of the
> meaning behind a spoken message.  Whether or not I'm always successful
> at my attempts to be polite may be another matter, but you may feel free
> to take that up with me off-list if you have suggestions for how I could
> improve in my interpersonal skills.

Due to the lack of actual details, I assume this wasn't a real problem.
Larry, if you can provide evidence of a problem, please simply reply
and we'll investigate.

In the mean time, I'm closing this as "not a bug".